<!-- //Objects -->

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    

<script>
const product={
    name:'socks',
    price:233
}
console.log(product);
console.log(product.name);
console.log(product.price);

procust.name = "cooton";
console.log(product)
products.newProperty = true;
console.log(product)

const product2 = {
    name: "shirt",
    [price-one]:222,
    ratings:{
        stars:4.5,
        count:87
    },
    fun: function(){
        console.log("this is function");
    }
}
//accessing values of objects

//bracet  notation when we have abc-xyz, num,etx
console.log(praoduct2[price-one]);      //bracket notation
console.log(praoduct2.ratings.count);  // dot notation //default 

product.fun();


// log is a  function that is stored in the console object

// 2 built-in objects of console
// 1. json
// 2. localStorage
</script>
</body>
</html>


 
